Bug 68009 - CJK font support: Use CIDFnmap instead of CIDFonts resources
CJK font support: Use CIDFnmap instead of CIDFonts resources
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: ghostscript (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-05 04:20 EDT by Nakai
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 00:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CIDFnmap-cjk-20020627.tar.gz (4.90 KB, application/octet-stream)
2002-07-05 04:20 EDT, Nakai
no flags Details

  None (edit)
Description Nakai 2002-07-05 04:20:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
For CJK font support, use CIDFnmap instead of CIDFont
resources. More CJK pdf files will come to be available
with ghostscript 7.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to see some CJK pdfs.
2. CIDFnmap is better.
3.
	

Additional info:

spec file diff is like this:

-- ghostscript.spec.orig       2002-07-05 16:52:25.000000000 +0900
+++ ghostscript.spec    2002-07-05 16:58:46.000000000 +0900
@@ -46,7 +46,7 @@
 Source17: gdevgdi.c
 Source18: http://www.epkowa.on.arena.ne.jp/pips/data/2050/eplaseren-1.0.2-550.tgz
 Source19: http://hp.sourceforge.net/gs-hp2200.tar.gz
-Source20: ghostscript-6.52-cjk.tar.gz
+Source20: CIDFnmap-cjk-20020627.tar.gz

 # Some drivers mistakenly got left out of 7.05.
 Source21: gnu-drivers.tar.gz
@@ -167,8 +167,9 @@
        tar xzf %{SOURCE16} -C Resource

        tar xzf gs%{cjk_ver}/install-cid.tar.gz -C Resource
-        tar xzf %{SOURCE20} -C Resource/CIDFont

+        # Replace CJK CIDFnmap files
+       tar xzf %{SOURCE20} -C lib

 # Add the VFlib/jpdf patch
 # The unix-gcc.mak portions of this patch are in the config patch below
Comment 1 Nakai 2002-07-05 04:20:36 EDT
Created attachment 63745 [details]
CIDFnmap-cjk-20020627.tar.gz
Comment 2 Tim Waugh 2002-07-05 05:13:44 EDT
Please verify that 7.0.5-14 works as expected.  Thanks.
Comment 3 Nakai 2002-07-08 01:18:30 EDT
It works. Thanks.

Note You need to log in before you can comment on or make changes to this bug.